import axios from 'axios';
import config from '@api/config.js';

const urls = config.urls;
export default {
  getQuestionList(param){
    return axios.post(urls.questionList,param);
  },
  questionAdd(param){
    return axios.post(urls.questionAdd,param);
  },
  questionSearch(param){
    return axios.post(urls.questionSearch,param);
  },
  getPreTypeList(){
    return axios.post(urls.preTypeList,{});
  },
  questionDel(param){
    return axios.post(urls.questionDel,param);
  },
  questionDetail(param){
    return axios.post(urls.questionDetail,param);
  },
  fileDel(param){
    return axios.post(urls.fileDel,param);
  },
  indexByLexicon(param) {
    return axios.post(urls.indexByLexicon, param);
  },
  getModuleList(param){
    return axios.post(urls.moduleList, param);
  },
  getModuleDetail(param){
    return axios.post(urls.moduleDetail, param);
  },
  addModule(param){
    return axios.post(urls.addModule, param);
  },
  delModule(param){
    return axios.post(urls.delModule, param);
  },
  getDeptList(param){
    return axios.post(urls.deptList, param);
  },
  getModuleType(param){
    return axios.post(urls.getPrecModuleType, param);
  }
}